## qca-qt5 2.1.1

=== plugins/CMakeLists.txt ===
# Use the same path for shared and static plugins
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib/${QCA_LIB_NAME}/crypto")
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib/${QCA_LIB_NAME}/crypto")

set(PLUGINS "botan;cyrus-sasl;gcrypt;gnupg;logger;nss;ossl;pkcs11;softstore" CACHE INTERNAL "")

# Initialize WITH_${PLUGIN}_PLUGIN cache variables
foreach(PLUGIN IN LISTS PLUGINS)
  set(WITH_${PLUGIN}_PLUGIN "" CACHE STRING "Build ${PLUGIN} plugin")
  string(TOLOWER "${WITH_${PLUGIN}_PLUGIN}" WITH_${PLUGIN}_PLUGIN)
endforeach(PLUGIN IN LISTS PLUGINS)

string(REGEX MATCH "^none|all|auto$" NOT_PLUGIN_LIST "${BUILD_PLUGINS}")

if(NOT_PLUGIN_LIST)
  # BUILD_PLUGINS has "none", "all" or "auto" value
  foreach(PLUGIN IN LISTS PLUGINS)
    # If not defined by user use BUILD_PLUGINS value
    # to decide build or not build the plugin
    if("${WITH_${PLUGIN}_PLUGIN}" STREQUAL "")
      if("${BUILD_PLUGINS}" STREQUAL "all")
        set(WITH_${PLUGIN}_PLUGIN "yes")
      elseif("${BUILD_PLUGINS}" STREQUAL "auto")
        set(WITH_${PLUGIN}_PLUGIN "auto")
      else("${BUILD_PLUGINS}" STREQUAL "all")
        set(WITH_${PLUGIN}_PLUGIN "no")
      endif("${BUILD_PLUGINS}" STREQUAL "all")
    elseif(NOT WITH_${PLUGIN}_PLUGIN)
      set(WITH_${PLUGIN}_PLUGIN "no")
    elseif("${WITH_${PLUGIN}_PLUGIN}" STREQUAL "auto")
      set(WITH_${PLUGIN}_PLUGIN "auto")
    else("${WITH_${PLUGIN}_PLUGIN}" STREQUAL "")
      set(WITH_${PLUGIN}_PLUGIN "yes")
    endif("${WITH_${PLUGIN}_PLUGIN}" STREQUAL "")

    # Build plugin if yes or auto
    if(WITH_${PLUGIN}_PLUGIN)
      add_subdirectory("qca-${PLUGIN}")
    else(WITH_${PLUGIN}_PLUGIN)
      disable_plugin(${PLUGIN})
    endif(WITH_${PLUGIN}_PLUGIN)
  endforeach(PLUGIN IN LISTS PLUGINS)
else(NOT_PLUGIN_LIST)
  # BUILD_PLUGINS has list plugins to builds
  foreach(PLUGIN IN LISTS PLUGINS)
    list(FIND BUILD_PLUGINS "${PLUGIN}" PLUGIN_INDEX)
    if(PLUGIN_INDEX GREATER -1)
      set(WITH_${PLUGIN}_PLUGIN "yes")
      add_subdirectory("qca-${PLUGIN}")
    else(PLUGIN_INDEX GREATER -1)
      disable_plugin(${PLUGIN})
    endif(PLUGIN_INDEX GREATER -1)
  endforeach(PLUGIN IN LISTS PLUGINS)
endif(NOT_PLUGIN_LIST)

message("")
message("Plugins:")
foreach(PLUGIN IN LISTS PLUGINS)
  message("  qca-${PLUGIN} ${WITH_${PLUGIN}_PLUGIN_INTERNAL}")
endforeach(PLUGIN IN LISTS PLUGINS)

# Currently disabled
#
# IF (WIN32)
#         MESSAGE(STATUS "WinCrypto plugin enabled")
#         ADD_SUBDIRECTORY(qca-wincrypto)
# ENDIF (WIN32)

=== unittest/CMakeLists.txt ===
ENABLE_TESTING()
# QTEST_MAIN is using QApplication when QT_GUI_LIB is defined
remove_definitions(-DQT_GUI_LIB)
if(Qt5Core_FOUND)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")
  find_package(Qt5Transitional REQUIRED Test)
endif(Qt5Core_FOUND)

add_subdirectory(base64unittest)
add_subdirectory(bigintunittest)
add_subdirectory(certunittest)
add_subdirectory(cipherunittest)
add_subdirectory(clientplugin)
add_subdirectory(cms)
add_subdirectory(dsaunittest)
add_subdirectory(filewatchunittest)
add_subdirectory(hashunittest)
add_subdirectory(hexunittest)
add_subdirectory(kdfunittest)
add_subdirectory(keybundle)
add_subdirectory(keygenunittest)
add_subdirectory(keylengthunittest)
add_subdirectory(keystore)
add_subdirectory(macunittest)
add_subdirectory(metatype)
add_subdirectory(pgpunittest)
add_subdirectory(pipeunittest)
add_subdirectory(pkits)
add_subdirectory(rsaunittest)
add_subdirectory(securearrayunittest)
add_subdirectory(staticunittest)
add_subdirectory(symmetrickeyunittest)
add_subdirectory(tls)
add_subdirectory(velox)

=== examples/eventhandlerdemo/CMakeLists.txt ===
set(eventhandlerdemo_bin_SRCS eventhandlerdemo.cpp)  

MY_AUTOMOC( eventhandlerdemo_bin_SRCS)

add_executable(eventhandlerdemo ${eventhandlerdemo_bin_SRCS})

target_link_qca_libraries(eventhandlerdemo)

=== examples/saslserver/CMakeLists.txt ===
set(saslserver_bin_SRCS saslserver.cpp)  

MY_AUTOMOC( saslserver_bin_SRCS)

add_executable(saslserver ${saslserver_bin_SRCS})

target_link_qca_libraries(saslserver)
target_link_libraries(saslserver ${QT_QTNETWORK_LIBRARY})

=== examples/tlssocket/CMakeLists.txt ===
set(tlssocket_bin_moc_SRCS tlssocket.cpp)
set(tlssocket_bin_nonmoc_SRCS  main.cpp)

MY_AUTOMOC( tlssocket_bin_moc_SRCS)

add_executable(tlssocket ${tlssocket_bin_moc_SRCS} ${tlssocket_bin_nonmoc_SRCS})

target_link_qca_libraries(tlssocket)
target_link_libraries(tlssocket ${QT_QTNETWORK_LIBRARY})

=== plugins/qca-nss/CMakeLists.txt ===
if(WITH_nss_PLUGIN STREQUAL "yes")
  find_package(Nss REQUIRED)
else(WITH_nss_PLUGIN STREQUAL "yes")
  find_package(Nss)
endif(WITH_nss_PLUGIN STREQUAL "yes")

if(NSS_FOUND)
  enable_plugin("nss")

  set(QCA_NSS_SOURCES qca-nss.cpp)
  add_definitions(${NSS_CFLAGS_OTHER})
  include_directories(${NSS_INCLUDE_DIRS})
  my_automoc( QCA_NSS_SOURCES )
  add_library(qca-nss ${PLUGIN_TYPE} ${QCA_NSS_SOURCES})
  target_link_libraries(qca-nss ${QT_QTCORE_LIBRARY} ${QCA_LIB_NAME} ${NSS_LDFLAGS})

  if(APPLE AND ${PLUGIN_TYPE} STREQUAL "MODULE")
    set_property(TARGET qca-nss PROPERTY SUFFIX ".dylib")
  endif()

  if(NOT DEVELOPER_MODE)
    install(TARGETS qca-nss
            LIBRARY DESTINATION "${QCA_CRYPTO_INSTALL_DIR}"
            ARCHIVE DESTINATION "${QCA_CRYPTO_INSTALL_DIR}"
            RUNTIME DESTINATION "${QCA_CRYPTO_INSTALL_DIR}")

    install_pdb(qca-nss ${QCA_CRYPTO_INSTALL_DIR})
  endif()
else(NSS_FOUND)
  disable_plugin("nss")
  set(WITH_nss_PLUGIN "no" PARENT_SCOPE)
endif(NSS_FOUND)

=== plugins/qca-ossl/CMakeLists.txt ===
# QCA OSSL

if(WITH_ossl_PLUGIN STREQUAL "yes")
  find_package(OpenSSL REQUIRED)
else(WITH_ossl_PLUGIN STREQUAL "yes")
  find_package(OpenSSL)
endif(WITH_ossl_PLUGIN STREQUAL "yes")

if(OPENSSL_FOUND)
  enable_plugin("ossl")

  include(CheckFunctionExists)
  set(CMAKE_REQUIRED_LIBRARIES ${OPENSSL_LIBRARIES})
  check_function_exists(EVP_md2 HAVE_OPENSSL_MD2)
  if(HAVE_OPENSSL_MD2)
    add_definitions(-DHAVE_OPENSSL_MD2)
  else(HAVE_OPENSSL_MD2)
    message(WARNING "qca-ossl will be compiled without MD2 digest algorithm support")
  endif(HAVE_OPENSSL_MD2)

  check_function_exists(EVP_aes_128_ctr HAVE_OPENSSL_AES_CTR)
  if(HAVE_OPENSSL_AES_CTR)
    add_definitions(-DHAVE_OPENSSL_AES_CTR)
  else(HAVE_OPENSSL_AES_CTR)
    message(WARNING "qca-ossl will be compiled without AES CTR mode encryption support")
  endif(HAVE_OPENSSL_AES_CTR)

  set(QCA_OSSL_SOURCES qca-ossl.cpp)

  my_automoc( QCA_OSSL_SOURCES )

  add_library(qca-ossl ${PLUGIN_TYPE} ${QCA_OSSL_SOURCES})

  if(APPLE AND ${PLUGIN_TYPE} STREQUAL "MODULE")
    set_property(TARGET qca-ossl PROPERTY SUFFIX ".dylib")
  endif()

  include_directories(${OPENSSL_INCLUDE_DIR})
  target_link_libraries(qca-ossl ${QT_QTCORE_LIBRARY})
  target_link_libraries(qca-ossl ${QCA_LIB_NAME})
  target_link_libraries(qca-ossl ${OPENSSL_LIBRARIES})

  if(APPLE)
    target_link_libraries(qca-ossl crypto)
  endif(APPLE)

  if(WIN32)
    add_definitions(-DOSSL_097)
    target_link_libraries(qca-ossl gdi32)
    target_link_libraries(qca-ossl wsock32)
    target_link_libraries(qca-ossl ${OPENSSL_EAY_LIBRARIES})
  endif(WIN32)

  if(NOT DEVELOPER_MODE)
    install(TARGETS qca-ossl
            LIBRARY DESTINATION "${QCA_CRYPTO_INSTALL_DIR}"
            ARCHIVE DESTINATION "${QCA_CRYPTO_INSTALL_DIR}"
            RUNTIME DESTINATION "${QCA_CRYPTO_INSTALL_DIR}")
  
    install_pdb(qca-ossl ${QCA_CRYPTO_INSTALL_DIR})
  endif()

  else(OPENSSL_FOUND)
  disable_plugin("ossl")
endif(OPENSSL_FOUND)

=== unittest/certunittest/CMakeLists.txt ===
ENABLE_TESTING()

set(certunittest_bin_SRCS certunittest.cpp)

MY_AUTOMOC( certunittest_bin_SRCS )

add_executable(certunittest ${certunittest_bin_SRCS} )

target_link_qca_test_libraries(certunittest)


FOREACH( testFileName RootCAcert.pem 76.pem altname.pem csr1.pem 
	 GoodCACRL.pem ov-root-ca-cert.crt User.pem QcaTestClientCert.pem xmppcert.pem 
	 Server.pem QcaTestServerCert.pem xmppcert.pem newreq.pem
	 QualitySSLIntermediateCA.crt QcaTestRootCert.pem Test_CRL.crl
	 RAIZ2007_CERTIFICATE_AND_CRL_SIGNING_SHA256.crt )
   CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/certs/${testFileName} ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/certs/${testFileName} COPYONLY)
ENDFOREACH( testFileName )

add_qca_test(certunittest "Certificate")

=== unittest/filewatchunittest/CMakeLists.txt ===
ENABLE_TESTING()

set(SOURCES "filewatchunittest.cpp")
qt4_wrap_cpp(SOURCES "filewatchunittest.h")

add_executable( filewatchunittest ${SOURCES})

target_link_qca_test_libraries(filewatchunittest)

add_qca_test(filewatchunittest "FileWatch")

=== unittest/kdfunittest/CMakeLists.txt ===
ENABLE_TESTING()

set( kdfunittest_bin_SRCS kdfunittest.cpp)  

MY_AUTOMOC( kdfunittest_bin_SRCS )

add_executable( kdfunittest ${kdfunittest_bin_SRCS} )

target_link_qca_test_libraries(kdfunittest)

add_qca_test(kdfunittest "KeyDerivationFunction")

=== unittest/keystore/CMakeLists.txt ===
ENABLE_TESTING()

set(keystoreunittest_bin_SRCS keystore.cpp)  

MY_AUTOMOC( keystoreunittest_bin_SRCS )

add_executable( keystore ${keystoreunittest_bin_SRCS} )

target_link_qca_test_libraries(keystore)

add_qca_test(keystore "KeyStore")

=== unittest/logger/CMakeLists.txt ===
ENABLE_TESTING()

set(loggerunittest_bin_SRCS loggerunittest.cpp)  

MY_AUTOMOC( loggerunittest_bin_SRCS )

add_executable(loggerunittest ${loggerunittest_bin_SRCS} )

target_link_qca_test_libraries(loggerunittest)

add_qca_test(loggerunittest "Logger")

## qca-qt5 2.1.0.3

=== debian/changelog ===
qca-qt5 (2.1.0.3-0ubuntu2) vivid; urgency=medium

  * Update symbols file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Jan 2015 18:46:17 +0100

qca-qt5 (2.1.0.3-0ubuntu1) vivid; urgency=medium

  * Initial package of qt5 qca
    + Introduces qt5 build.
      - All packages have a qt5 version.
      - The qt5 build uses a differnet suffix to lead to a different
        soname
      - Since the qt5 artifacts partially conflict with the qt4 bits
        additional measures were taken to make sure dh_install and dh_strip
        work on the resepectively correct package set

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Jan 2015 16:04:49 +0100

qca2 (2.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
    + This release merges the official plugins into the main package.
    + Deprecating these sources and their binaries:
      - qca2-plugin-gnupg
      - qca2-plugin-ossl
      - qca-cyrus-sasl
    + Build system was changed to git
    + Docs packages was removed as the source does not build documentation
    + Introduces qt5 build.
      - All packages have a qt5 version.
      - The qt5 build uses a differnet suffix to lead to a different
        soname
      - Since the qt5 artifacts partially conflict with the qt4 bits
        additional measures were taken to make sure dh_install and dh_strip
        work on the resepectively correct package set
    + New binary packages (excluding qt5):
      - libqca2-plugins containing all plugins
      - libqca2-plugin-ossl
      - libqca2-plugin-gnupg
      - libqca2-plugin-cyrus-sasl
    + Added transitional packages for old plugins
  * Add kubuntu_ignore_filewatch_test.diff to ignore a test which fails in
    buildds but not for local build
  * Add kubuntu_mkspecs-dir.diff to install mkspecs to correct place

 -- Harald Sitter <apachelogger@kubuntu.org>  Sat, 22 Nov 2014 15:46:56 +0100

qca2 (2.0.3-6) unstable; urgency=medium

  * Update the symbols file for gcc 4.9. Thanks to Sphinx Jiang for the
    initial patch. (Closes: #746895)

 -- Felix Geyer <fgeyer@debian.org>  Wed, 11 Jun 2014 16:54:40 +0200

qca2 (2.0.3-5) unstable; urgency=low

  * Team upload.
  * Change the section of qca2-utils from libs to utils.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Dec 2013 22:54:54 +0100

qca2 (2.0.3-4) unstable; urgency=low

  * Team upload.
  * Fix the symbols file.
  * Add pipeunittest_more_wait.diff to increase times of qWait() in the
    pipeunittest test (helps with Hurd).
  * Add patch hurd_msync.diff to temporarly ignore ENOSYS errors for Hurd's
    msync().

 -- Pino Toscano <pino@debian.org>  Mon, 04 Jun 2012 11:49:16 +0200

qca2 (2.0.3-3) unstable; urgency=low

  [ Felix Geyer ]
  * Modify CFLAGS and CXXFLAGS after including debian-qt-kde.mk so the
    changes are not overwritten.
  * Pass $CPPFLAGS to the build system.
  * Update symbols file.
  * Fix FTBFS with gcc 4.7. (Closes: #667339)
    - Add fix_build_gcc4.7.diff, cherry-picked from upstream.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Convert to multiarch.
    - Bump debhelper compat level to v9.
    - Move qcatool2 into the new binary package qca2-utils.
    - Mark libqca2 and libqca2-dbg as Multi-Arch: same.
  * Fix passing $LDFLAGS to the build system.
  * Pass build flags to qcatool2.
  * Remove confapp.pri in clean target.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 26 May 2012 18:30:41 +0200

qca2 (2.0.3-2) unstable; urgency=low

  [ Felix Geyer ]
  * Add Vcs-* fields.
  * Fix versioned dependency on arch-any package.

  [ Modestas Vainius ]
  * Add myself to Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 23 Jun 2011 11:30:07 +0300

qca2 (2.0.3-1) unstable; urgency=low

  * New upstream release.

  [ Felix Geyer ]
  * Switch to source format 3.0 (quilt).
  * Switch debian/rules engine to dhmk.
  * Pass --no-separate-debug-info to configure and let dh_strip handle
    the debug symbol seperation.
  * Switch to debhelper compat level 7.
  * Simplify install files.
  * Don't install the TODO file.
  * Bump Standards-Version to 3.9.2.
    - Drop ancient Conflicts.
  * libqca2: don't suggest libqca2-plugin-pkcs11 as it doesn't exist.
  * Add myself as uploader.
  * Fix short description of libqca2-dbg.
  * Add missing ${misc:Depends}.
  * libqca2-dbg: recommend libqt4-dbg.
  * Build with -fvisibility=hidden -fvisibility-inlines-hidden.
    - Add define_qca_export.diff to define QCA_EXPORT as Q_DECL_EXPORT.
  * Disable broken unit test that fails if two subsequent random numbers are
    the same.
    - Add disable_randomunittest.diff
  * Add a symbols file.

  [ Modestas Vainius ]
  * Remove Matthew Rosewarne from Uploaders, R.I.P.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 30 May 2011 00:33:07 +0300

qca2 (2.0.2-1) unstable; urgency=low

  * New Upstream Version (Closes: Bug#529532)
  * Remove out-of-date VCS fields from debian/control
  * Move -dbg package to section 'debug'

 -- Jan Niehusmann <jan@debian.org>  Sat, 23 May 2009 16:20:39 +0200

qca2 (2.0.1-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Ana Beatriz Guerrero Lopez:
 
  * Build against Qt 4.4 in experimental. 

  +++ Changes by Matthew Rosewarne:

  * Create debug package.
  * Improve clean rule for apidocs.
  * Have libqca2 recommend ca-certificates.
  * Add VCS fields to control.
  * Bump Standards-Version to 3.8.0.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 21 Jul 2008 18:28:31 -0400

qca2 (2.0.0-4) unstable; urgency=low

  +++ Changes by Matthew Rosewarne:

  * Switch rules to CDBS.
  * Create API documentation package.
  * Install qmake data files in libqca2-dev.
  * Bump compat to 6.
  * Bump Standards-Version to 3.7.3.
  * Tweak package descriptions.
  * Add Homepage: to control.
  * Suggest qca2 plugins.
  * Add watch file.



=== debian/control ===
Source: qca-qt5
Priority: optional
Section: libs
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Jan Niehusmann <jan@debian.org>, Felix Geyer <fgeyer@debian.org>,
 Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.12), cmake, pkg-config,
 ca-certificates, libsasl2-dev, libssl-dev, doxygen,
 qtbase5-dev
Build-Conflicts: qca-dev
Standards-Version: 3.9.6
Homepage: http://delta.affinix.com/qca/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-req/qca2-qt5.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-req/qca2-qt5.git

Package: libqca-qt5-2-plugins
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QCA plugins for libqca2
 This plugin provides cryptographic as well as helper plugins for Qt
 Cryptographic Architecture (QCA).

Package: libqca-qt5-2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ca-certificates, libqca-qt5-2-plugins
Description: libraries for the Qt Cryptographic Architecture
 The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
 platform API for a range of cryptographic features, including SSL/TLS,
 X.509 certificates, SASL, OpenPGP, S/MIME CMS, and smart cards.

Package: qca-qt5-2-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqca-qt5-2 (= ${binary:Version})
Description: command line tool for the Qt Cryptographic Architecture
 The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
 platform API for a range of cryptographic features, including SSL/TLS,
 X.509 certificates, SASL, OpenPGP, S/MIME CMS, and smart cards.
 .
 This package contains the command line tool for the Qt Cryptographic
 Architecture.

Package: libqca-qt5-2-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libqca-qt5-2 (= ${binary:Version})
Priority: extra
Description: debug symbols for the Qt Cryptographic Architecture
 The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
 platform API for a range of cryptographic features, including SSL/TLS,
 X.509 certificates, SASL, OpenPGP, S/MIME CMS, and smart cards.
 .
 This package contains debugging files used to investigate problems with
 the Qt Cryptographic Architecture libraries.

Package: libqca-qt5-2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libqca-qt5-2 (= ${binary:Version}), qtbase5-dev
Description: development files for the Qt Cryptographic Architecture
 The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
 platform API for a range of cryptographic features, including SSL/TLS,
 X.509 certificates, SASL, OpenPGP, S/MIME CMS, and smart cards.
 .
 This package contains development files for building software that uses the
 Qt Cryptographic Architecture.

## qca-qt5 2.1.1

=== debian/changelog ===
qca-qt5 (2.1.1-0ubuntu2) xenial; urgency=medium

  * Update s390x symbols.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 07 Jan 2016 10:55:36 +0000

qca-qt5 (2.1.1-0ubuntu1) xenial; urgency=medium

  * New upstream release, fixes build with Qt 5.5.
  * Drop use_q_slots-q_signals_instead_of_slots-signals.diff, in upstream
  * Pick fix_build_without_sslv3.diff from Debian
  * debian/patches/disable_sslv3_tests.patch: Do not check for SSLv3.
  * Update symbols.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 08 Dec 2015 06:13:31 +0000

qca-qt5 (2.1.0.3-0ubuntu4) wily; urgency=medium

  * update symbols for gcc 5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 05 Oct 2015 15:46:56 +0100

qca-qt5 (2.1.0.3-0ubuntu3) wily; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Bump build depend on pkg-kde-tools to (>> 0.15.15) so we make sure we are
    building against a pkg-kde-tools which provides the kde frameworks
    module.

  [ Clive Johnston ]
  * Adding patch to use Q_SLOTS/Q_SIGNALS instead of slots/signals in all 
    headers from include dir 

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 11 Feb 2015 17:51:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,18 @@
 Priority: optional
 Section: libs
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Jan Niehusmann <jan@debian.org>, Felix Geyer <fgeyer@debian.org>,
- Modestas Vainius <modax@debian.org>
-Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.12), cmake, pkg-config,
- ca-certificates, libsasl2-dev, libssl-dev, doxygen,
- qtbase5-dev
+Uploaders: Jan Niehusmann <jan@debian.org>,
+           Felix Geyer <fgeyer@debian.org>,
+           Modestas Vainius <modax@debian.org>
+Build-Depends: ca-certificates,
+               cmake,
+               debhelper (>= 9),
+               doxygen,
+               libsasl2-dev,
+               libssl-dev,
+               pkg-config,
+               pkg-kde-tools (>> 0.15.15),
+               qtbase5-dev
 Build-Conflicts: qca-dev
 Standards-Version: 3.9.6
 Homepage: http://delta.affinix.com/qca/
@@ -16,7 +23,7 @@
 Package: libqca-qt5-2-plugins
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: QCA plugins for libqca2
  This plugin provides cryptographic as well as helper plugins for Qt
  Cryptographic Architecture (QCA).
@@ -25,7 +32,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: ca-certificates, libqca-qt5-2-plugins
 Description: libraries for the Qt Cryptographic Architecture
  The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
@@ -35,7 +42,7 @@
 Package: qca-qt5-2-utils
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqca-qt5-2 (= ${binary:Version})
+Depends: libqca-qt5-2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: command line tool for the Qt Cryptographic Architecture
  The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
  platform API for a range of cryptographic features, including SSL/TLS,
@@ -48,7 +55,7 @@
 Section: debug
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libqca-qt5-2 (= ${binary:Version})
+Depends: libqca-qt5-2 (= ${binary:Version}), ${misc:Depends}
 Priority: extra
 Description: debug symbols for the Qt Cryptographic Architecture
  The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
@@ -61,7 +68,7 @@
 Package: libqca-qt5-2-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libqca-qt5-2 (= ${binary:Version}), qtbase5-dev
+Depends: libqca-qt5-2 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
 Description: development files for the Qt Cryptographic Architecture
  The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
  platform API for a range of cryptographic features, including SSL/TLS,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
# Enable strict interdependencies
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
QT5_BUILD_DIR = "obj-$(DEB_HOST_MULTIARCH)-qt5"
QT5_PACKAGES = $(shell grep Package: debian/control | grep qt5 | grep -v '\-dbg' | sed -e 's/Package: //g')
QT5_DH_EXCLUDE := $(foreach package, $(QT5_PACKAGES), -N $(package))
QT5_DH_INCLUDE := $(foreach package, $(QT5_PACKAGES), -p $(package))

override_dh_auto_configure:
	$(overridden_command) -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_strip:
	$(overridden_command) $(QT5_DH_INCLUDE) --dbg-package=libqca-qt5-2-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/qca-qt5/([\d\.]+)/qca-qt5-(.*)\.tar\.xz

http://download.kde.org/stable/qca-qt5/([\d\.]+)/qca-qt5-(.*)\.tar\.xz
